{% extends 'compare/base.html' %}
{% load static %}

{% block content %}

{% include 'compare/header.html' %}

<section class="page-section" id="services">
    <div class="container">

        <h2 class="text-center mt-0">
            {% if user_result %}
            {{ user_result }}
            {% else %}
            Vous pouvez remplacer {{ product_selected.product_name }} par :
            {% endif %}
        </h2>

        <hr class="divider my-4">
        <div class="row justify-content-center">
            <div class="col-lg-12 col-md-10 ">
                <div class="mt-5">

                    {% if product %}
                    <div class="container">
                        <div class="row justify-content-center">
                    {% for p in product %}
                            <div class="col-lg-4 col-md-12">
                                <ul>
                                    <div class="img-container">
                                        <img src="{{ p.image_url}}" class="img-t">
                                        {% with 'compare/img/'|add:p.nutrition_grade_fr|add:'.png' as image_grade %}
                                        <img src="{% static image_grade %}" class="logo">
                                        {% endwith %}
                                    </div>
                                    <li><a href="{% url 'compare:product' p.id_product %}">{{ p.product_name }}</a>
                                    </li>
                                    <li>Calories : {{ p.kcal }}</li>
                                    <li><a href="{{ p.url }}" target="_blank">Fiche du produit OpenFoodFacts</a>
                                    </li>
                                    {% include 'compare/form_bookmark.html' %}
                                </ul>
                            </div>
                            {% endfor %}

                            {% elif user_result %}
                            <div class="col-lg-12 col-md-12">
                                {% include 'compare/form_search.html' %}
                            </div>
                            {% else %}
                            <div class="col-lg-6 col-md-12">
                                <p>Pas de résultats !</p>
                            </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
</section>

{% endblock content %}